
# loading the packages and datasets
dataff <- read.table("data/ffdata.csv", stringsAsFactors = F, header = T, sep = ",")

# packages used
listofpackages <- c("plm","rugarch", "foreign", "lmtest", "aod", "systemfit", "dygraphs")

for (j in listofpackages){
  if(sum(installed.packages()[, 1] == j) == 0) {
    install.packages(j)
  }
  library(j, character.only = T)
}

